Bug 646610 - Rename review: drupal-views -> drupal6-views
Rename review: drupal-views -> drupal6-views
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Paul W. Frields
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 646614 646663 InsightReviews
  Show dependency treegraph
 
Reported: 2010-10-25 14:26 EDT by Gwyn Ciesla
Modified: 2011-02-23 16:55 EST (History)
5 users (show)

See Also:
Fixed In Version: drupal6-views-2.12-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-23 16:53:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
stickster: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Gwyn Ciesla 2010-10-25 14:26:02 EDT
Will be renaming entire drupal stack to drupal6, etc, to support parallell
installable drupal7 stack when that's available.

SRPM: http://zanoni.jcomserv.net/fedora/drupal6-views/drupal6-views-6.x.2.11-1.fc13.src.rpm
SPEC: http://zanoni.jcomserv.net/fedora/drupal6-views/drupal6-views.spec
Comment 1 Sven Lankes 2010-10-29 13:06:13 EDT
You should probably rename drupal-views-fedora-README.txt to drupal6-views-fedora-README.txt and maybe use %{name} there.
Comment 4 Volker Fröhlich 2010-12-20 16:53:29 EST
Please see my comment on the cck package.
Comment 6 Paul W. Frields 2011-01-13 15:20:08 EST
There's really only a couple problems that need to be fixed, although there are several FIX sections below.  Most of it can be fixed once the updated source tarball is included.  This review is late because I didn't grab it sooner, but Jon, I'll work hard to finish it quickly once you submit the fixes.

* * *

[ FIX ] MUST: rpmlint must be run on every package. The output should be posted
in the review.

$ rpmlint rpmbuild/SPECS/drupal6-views.spec  rpmbuild/SRPMS/drupal6-views-6.x.2.12-2.fc14.src.rpm rpmbuild/RPMS/noarch/drupal6-views-6.x.2.12-2.fc14.noarch.rpm 
drupal6-views.noarch: W: obsolete-not-provided drupal-views
drupal6-views.noarch: E: script-without-shebang /usr/share/drupal6/modules/views/translations/fr.po
2 packages and 1 specfiles checked; 1 errors, 1 warnings.

[ O K ] MUST: The package must be named according to the Package Naming
Guidelines.

[ O K ] MUST: The spec file name must match the base package %{name}, in the
format %{name}.spec unless your package has an exemption.

[ FIX ] MUST: The package must meet the Packaging Guidelines.

* The Source0 tarball still points to 2.11, and the SRPM includes that
  tarball, although the package is versioned at 2.12.  Make sure
  you're using the updated sources.

* http://fedoraproject.org/wiki/PackageNamingGuidelines#Renaming.2Freplacing_existing_packages
  (See rpmlint output above) Should this package also provide what it
  obsoletes in this case?

[ O K ] MUST: The package must be licensed with a Fedora approved license and
meet the Licensing Guidelines.

[ O K ] MUST: The License field in the package spec file must match the actual
license. 

[ O K ] MUST: If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc.

[ O K ] MUST: The spec file must be written in American English. 

[ O K ] MUST: The spec file for the package MUST be legible. 

[ FIX ] MUST: The sources used to build the package must match the upstream
source, as provided in the spec URL. Reviewers should use md5sum for this task.
If no upstream URL can be specified for this package, please see the Source URL
Guidelines for how to deal with this.

* I'll check once the new tarball is included.

[ FIX ] MUST: The package MUST successfully compile and build into binary rpms
on at least one primary architecture. 

* I'll check once the new tarball is included.

[ O K ] MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in
bugzilla, describing the reason that the package does not compile/build/work on
that architecture. The bug number MUST be placed in a comment, next to the
corresponding ExcludeArch line. 

[ O K ] MUST: All build dependencies must be listed in BuildRequires, except
for any that are listed in the exceptions section of the Packaging Guidelines ;
inclusion of those as BuildRequires is optional. Apply common sense.

[ N/A ] MUST: The spec file MUST handle locales properly. This is done by using
the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.

[ N/A ] MUST: Every binary RPM package (or subpackage) which stores shared
library files (not just symlinks) in any of the dynamic linker's default paths,
must call ldconfig in %post and %postun. 

[ O K ] MUST: Packages must NOT bundle copies of system libraries.

[ N/A ] MUST: If the package is designed to be relocatable, the packager must
state this fact in the request for review, along with the rationalization for
relocation of that specific package. Without this, use of Prefix: /usr is
considered a blocker. 

[ O K ] MUST: A package must own all directories that it creates. If it does
not create a directory that it uses, then it should require a package which
does create that directory. 

[ O K ] MUST: A Fedora package must not list a file more than once in the spec
file's %files listings. (Notable exception: license texts in specific
situations)

[ FIX ] MUST: Permissions on files must be set properly. Executables should be
set with executable permissions, for example. Every %files section must include
a %defattr(...) line. 

* See rpmlint output above.

[ O K ] MUST: Each package must consistently use macros. 

[ O K ] MUST: The package must contain code, or permissable content. 

[ N/A ] MUST: Large documentation files must go in a -doc subpackage. (The
definition of large is left up to the packager's best judgement, but is not
restricted to size. Large can refer to either size or quantity). 

[ N/A ] MUST: If a package includes something as %doc, it must not affect the
runtime of the application. To summarize: If it is in %doc, the program must
run properly if it is not present. 

[ N/A ] MUST: Header files must be in a -devel package. 

[ N/A ] MUST: Static libraries must be in a -static package. 

[ N/A ] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), then library files that end in .so (without suffix) must go in
a -devel package. 

[ N/A ] MUST: In the vast majority of cases, devel packages must require the
base package using a fully versioned dependency: Requires: %{name} =
%{version}-%{release} 

[ O K ] MUST: Packages must NOT contain any .la libtool archives, these must be
removed in the spec if they are built.

[ N/A ] MUST: Packages containing GUI applications must include a
%{name}.desktop file, and that file must be properly installed with
desktop-file-install in the %install section. If you feel that your packaged
GUI application does not need a .desktop file, you must put a comment in the
spec file with your explanation. 

[ O K ] MUST: Packages must not own files or directories already owned by other
packages. The rule of thumb here is that the first package to be installed
should own the files or directories that other packages may rely upon. This
means, for example, that no package in Fedora should ever share ownership with
any of the files or directories owned by the filesystem or man package. If you
feel that you have a good reason to own a file or directory that another
package owns, then please present that at package review time. 

[ O K ] MUST: All filenames in rpm packages must be valid UTF-8.
Comment 7 Paul W. Frields 2011-01-13 16:38:16 EST
Sorry I did this under my other BZ account, but it's still me :-)
Comment 8 Volker Fröhlich 2011-01-13 20:21:59 EST
Please be more verbose in the changelog the next time. The changelog reader can't see right away what the "Review adjustments" are.

Please also consider aligning the values of Summary, Release, Name and so on. It makes it more beautiful.

I left a note on https://bugzilla.redhat.com/show_bug.cgi?id=658942 about the version numbering. The review over there doesn't use the prefix 6.x.

Use %{version} in the source line.
Comment 9 Volker Fröhlich 2011-01-14 06:03:19 EST
Since the module uses Drupals CVS, it must be GPLv2+.

http://drupal.org/licensing/faq/#q4
Comment 10 Sven Lankes 2011-01-18 08:24:45 EST
Jon,

you'll need to change the version to 2.12 from 6.x.2.12

This is what started the renaming discussion - a version of 6.x.2.12 violates the packaging guidelines. Also the 6.x is implied by the package name drupal6-modulename now.
Comment 11 Paul W. Frields 2011-01-18 09:01:58 EST
Dang, I missed that one, thanks Sven.
Comment 12 Gwyn Ciesla 2011-01-19 10:41:54 EST
Fixed license and version.  Fixed source as well.  I don't see the permissions error now.

SRPM:
http://zanoni.jcomserv.net/fedora/drupal6-views/drupal6-views-2.12-1.fc14.src.rpm
SPEC: http://zanoni.jcomserv.net/fedora/drupal6-views/drupal6-views.spec
Comment 13 Paul W. Frields 2011-01-19 19:17:52 EST
$ rpmlint rpmbuild/SPECS/drupal6-views.spec rpmbuild/RPMS/noarch/drupal6-views-2.12-1.fc14.noarch.rpm rpmbuild/SRPMS/drupal6-views-2.12-1.fc14.src.rpm 
drupal6-views.noarch: W: obsolete-not-provided drupal-views
drupal6-views.src: W: strange-permission views-6.x-2.12.tar.gz 0444L
2 packages and 1 specfiles checked; 0 errors, 2 warnings.

Writing this for posterity... Our renaming is meant to migrate toward parallel installable drupal 6/7.  It would probably be unsafe to provide drupal-views=6.x.2.12 because that would confuse (and drag in the whole D6 stack) for a user who has drupal7 installed and then mistakenly tries to 'yum install drupal-views' instead of 'yum install drupal7-views'.  It's safer to ignore the first warning I think.

The second warning can be safely ignored -- the FIX notation above is mistaking permissions on the tarball for permissions on the installed files.

* * *
$ md5sum rpmbuild/SOURCES/drupal6-views-2.12/views-6.x-2.12.tar.gz ; curl -s -o - http://ftp.drupal.org/files/projects/views-6.x-2.12.tar.gz | md5sum -
2b666d68e8566f14b85cf546d643e3e5  rpmbuild/SOURCES/drupal6-views-2.12/views-6.x-2.12.tar.gz
2b666d68e8566f14b85cf546d643e3e5  -

* * *
Build is successful (makes noarch on x86_64).

APPROVED.
Comment 14 Sven Lankes 2011-01-20 05:32:08 EST
The obsoletes is wrong:

Obsoletes: drupal-views >= 6.x.2.11

We don't want to obsolete future versions of the package but previous ones.
Comment 15 Paul W. Frields 2011-01-20 09:54:41 EST
Wouldn't future versions of this package be "drupal6-views," not "drupal-views"?
Comment 16 Sven Lankes 2011-01-20 10:09:49 EST
(In reply to comment #15)

> Wouldn't future versions of this package be "drupal6-views," not
> "drupal-views"?

Yes. But how is that related to the obsoletes?

Obsoletes are for upgrades - if someone updates from f14 to f15 that obsoletes is needed.
Comment 18 Paul W. Frields 2011-01-22 15:56:20 EST
Got the obsoletes issue sussed out between BZ and the list, so this is OK for git + builds, at the appropriate time. Thanks Jon and everyone.
Comment 19 Gwyn Ciesla 2011-02-03 15:10:28 EST
New Package SCM Request
=======================
Package Name: drupal6-views
Short Description: Provides a method for site designers to control content presentation
Owners: limb
Branches: EL-5 EL-6
InitialCC:
Comment 20 Kevin Fenzi 2011-02-06 17:47:08 EST
Git done (by process-git-requests).

PS: Could you stick to the normal format of summary for reviews? 
Anything else shows up as a flag in the processing script and also makes it harder
to find this review later... ie: 
Review Request: drupal6-views - whatever
Thanks.
Comment 21 Fedora Update System 2011-02-07 09:29:32 EST
drupal6-views-2.12-2.el6,drupal6-cck-2.9-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/drupal6-views-2.12-2.el6,drupal6-cck-2.9-1.el6
Comment 22 Fedora Update System 2011-02-07 09:29:44 EST
drupal6-views-2.12-2.el5,drupal6-cck-2.9-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/drupal6-views-2.12-2.el5,drupal6-cck-2.9-1.el5
Comment 23 Gwyn Ciesla 2011-02-07 09:30:35 EST
Noted, thanks!
Comment 24 Fedora Update System 2011-02-07 12:54:05 EST
drupal6-views-2.12-2.el5, drupal6-cck-2.9-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update drupal6-views drupal6-cck'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/drupal6-views-2.12-2.el5,drupal6-cck-2.9-1.el5
Comment 25 Fedora Update System 2011-02-23 16:52:56 EST
drupal6-views-2.12-2.el5, drupal6-cck-2.9-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 26 Fedora Update System 2011-02-23 16:54:58 EST
drupal6-views-2.12-2.el6, drupal6-cck-2.9-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.